name: Feature request
description: Suggest an idea for this project
title: ""
labels: ["feature request"]
assignees:
  - LouisOuellet

body:
  - type: textarea
    id: problem
    attributes:
      label: Is your feature request related to a problem?
      description: Describe the problem this feature would solve.
      placeholder: >
        A clear and concise description of what the problem is.
        Example: I'm always frustrated when [...]
    validations:
      required: true

  - type: textarea
    id: solution
    attributes:
      label: Describe the solution you'd like
      description: Describe what you want to happen.
      placeholder: >
        A clear and concise description of the desired solution.
    validations:
      required: true

  - type: textarea
    id: alternatives
    attributes:
      label: Describe alternatives you've considered
      description: Describe any alternative solutions or features you've considered.
      placeholder: >
        A clear and concise description of any alternative approaches.
    validations:
      required: false

  - type: textarea
    id: context
    attributes:
      label: Additional context
      description: Add any other context or screenshots about the feature request.
      placeholder: >
        Add any other context, links, or screenshots here.
    validations:
      required: false
